## sks-ecc 0.92b

=== Makefile ===
# Makefile for sks (linux)
# gcc


CFLAGS = -DLINUX
VER=0.92b
ES=0
EN=1
CC=gcc
#CC=gcc-3.4

# *******************************
# ***** START build configuration area
# ***** You may comment/uncomment definitions and flags
# ***** Some defs/flags have mandatory alternative, some not
# ******************************

CFLAGS	+= -s
CFLAGS	+=  -DVERSION='"$(VER)"'

INST = /usr/local/bin
#INST = $(HOME)/bin

# ******* If you don't have 'libtommath' installed
LTM = ltm

# ******* If you don't have 'libtomcrypt' installed
LTC = ltc

# ******** If you don't have 'zlib' installed
#GZ = zlib

# specify architecture here
ARCH=i386
#ARCH=pentium4
CFLAGS += -march=$(ARCH)

# specify language ES, EN or input as command-line option i.e.: 'make SLANG=0'
SLANG=$(ES)

CFLAGS	+= -DSKS_LANG=$(SLANG)

# uses /dev/random or WinNT crypt-random
CFLAGS += -DDEVRANDOM

#warnings
CFLAGS += -Wall
#-Wsign-compare -W -Wno-unused -Wshadow -Werror

#  optimize for SPEED(don't include SIZE options)
CFLAGS += -O3 -funroll-loops
CFLAGS += -fomit-frame-pointer 
CFLAGS += -DFULLTABLES

#  optimize for SIZE (don't include SPEED options)
#CFLAGS += -Os -DSMALL_CODE

# *******************************
# ***** END build configuration area
# ******************************

ifeq ($(SLANG),$(ES))
	LANG=ES
	README=LEEME.txt
else
	LANG=EN
	README=README.txt
endif

default: sks

lang_test:
	echo $(SLANG);

# ******** If you don't have 'zlib' installed
ifdef GZ

gz: $(GZ)/libz.a

$(GZ)/libz.a:
	cd $(GZ); ./configure; make libz.a;

	
ZLIB = $(GZ)/libz.a
CFLAGS += -I$(GZ)
else

# ******** If you DO have 'zlib' installed:
ZLIB = -lz
endif

# ******* If you don't have 'libtommath' installed
ifdef LTM

LTMLIB=$(LTM)/mpi.o
CFLAGS += -I$(LTM)

else

# ******* If you DO have 'libtommath' installed:
LTMLIB = -ltommath
endif

# ******* If you don't have 'libtocrypt' installed
ifdef LTC

LTCLIB=$(LTC)/aes.o $(LTC)/tiger.o
CFLAGS += -I$(LTC)

else

# ******* If you DO have 'libtomcrypt' installed:
LTCLIB = -ltomcrypt
endif


ECC_OBJS= gflib.o eclib.o eccrypt.o
gflib.o: gflib.c gflib.h
eclib.o: eclib.c eclib.h gflib.h
eccrypt.o: eccrypt.c eccrypt.h eclib.h gflib.h

util.o: util.c sks.h
UTIL_OBJS=binasc.o util.o entropy.o hash.o symcrypt.o


KEY_OBJS=keyring.o

# *** Build the 'kernel'
LIBS = $(UTIL_OBJS) $(ECC_OBJS) $(KEY_OBJS) $(LTMLIB) $(LTCLIB) $(ZLIB)

sks.o: sks.c sks_msg_en.h sks_msg_es.h sks.h

DEPLIST = $(UTIL_OBJS) $(KEY_OBJS) $(ECC_OBJS) sks.o
ifdef LTM
DEPLIST += $(LTMLIB)
endif
ifdef LTC
DEPLIST += $(LTCLIB)
endif
ifdef GZ
DEPLIST += gz
endif

sks: $(DEPLIST)
	$(CC) -o $@ $@.o $(LIBS)

# *** Clean

PIGS = *.o sks sks.sig skstest
ifdef LTM
PIGS += $(LTM)/mpi.o
endif
ifdef LTC
PIGS += $(LTC)/aes.o $(LTC)/tiger.o
endif
ifdef GZ
PIGS += $(GZ)/*.o $(GZ)/*.a
endif

clean: limpia
limpia:
	rm -f $(PIGS)
		
# Tests
skstest.o: skstest.c
skstest: skstest.o $(ECC_OBJS) $(UTIL_OBJS) $(KEY_OBJS)
	$(CC) $@.o  $(UTIL_OBJS) $(ECC_OBJS) $(KEY_OBJS) $(LTCLIB) $(LTMLIB) $(ZLIB) -o $@
	

SNAME=sks-source-$(VER)
source: #clean 
	cd ..; rm -rf sks-$(VER); mkdir sks-$(VER); \
	cp -R ./sks/*.c ./sks-$(VER)/; cp -R ./sks/*.h ./sks-$(VER)/; \
	cp -R ./sks/skspkr ./sks-$(VER)/; \
	cp -R ./sks/sks.1 ./sks-$(VER)/; \
	cp -R ./sks/Makefile ./sks-$(VER)/; \
	cp -R ./sks/Makefile.w32 ./sks-$(VER)/; \
	cp -R ./sks/*.txt ./sks-$(VER); cp -R ./sks/doc ./sks-$(VER)/;  \
	rm -f ./sks/ltm/mpi.o; 	cp -R ./sks/ltm ./sks-$(VER)/;  \
	rm -f ./sks/ltc/*.o; 	cp -R ./sks/ltc ./sks-$(VER)/;  \
	rm -f ./sks/zlib/*.o ./sks/zlib/*.a; cp -R ./sks/zlib ./sks-$(VER)/;  \
	tar -c -h sks-$(VER)/* | bzip2 -9vvc > $(SNAME).tar.bz2; \
	echo "md5 sum:" > $(SNAME).sum; \
	md5sum $(SNAME).tar.bz2 >> $(SNAME).sum; \
	echo "tiger sum:" >> $(SNAME).sum; \
	sks -r $(SNAME).tar.bz2 >> $(SNAME).sum; \
	zip -9 -r $(SNAME).zip sks-$(VER)/*; \
	echo "md5 sum:" >> $(SNAME).sum; \
	md5sum $(SNAME).zip >> $(SNAME).sum; \
	echo "tiger sum:" >> $(SNAME).sum; \
	sks -r $(SNAME).zip >> $(SNAME).sum; 
	

BNAME=sks-i386bin-$(LANG)-$(VER)
binary: clean sks
ifneq ($(ARCH),i386)
	@echo "Defined architecture is not portable. Define 'ARCH=i386'"
else
	./sks -s sks sks.sig
	./sks -v sks sks.sig
	tar -c *.sig $(README) ./sks skspkr ./doc/* | bzip2 -9vvc > ../$(BNAME).tar.bz2
	cd ..; \
	echo "md5 sum:" > $(BNAME).sum; \
	md5sum $(BNAME).tar.bz2 >> $(BNAME).sum; \
	echo "tiger sum:" >> $(BNAME).sum; \
	sks -r $(BNAME).tar.bz2 >> $(BNAME).sum;
#	zip -9 -r ../sks-i386bin-$(VER).zip *.s *.txt ./sks skspkr ./doc/*
#Falta 'readme'
endif

WNAME=sks-w32-$(LANG)-$(VER)
w32: # Makes the md5- and tiger-sums
	cp sks-$(LANG).exe sks.exe
	sks -s sks.exe sks.sig 
	sks -v sks.exe sks.sig 
	zip -9 -r ../$(WNAME).zip *.sig sks.exe skspkr *.txt ./doc/* 
	echo "md5 sum:" > ../$(WNAME).sum 
	md5sum ../$(WNAME).zip >> ../$(WNAME).sum 
	echo "tiger sum:" >> ../$(WNAME).sum 
	sks -r ../$(WNAME).zip >> ../$(WNAME).sum
	rm -f sks.exe
	
install: sks
	cp sks $(INST)

=== zlib/excluidos/Makefile ===
# Makefile for zlib
# Copyright (C) 1995-2003 Jean-loup Gailly.
# For conditions of distribution and use, see copyright notice in zlib.h

# To compile and test, type:
#    ./configure; make test
# The call of configure is optional if you don't have special requirements
# If you wish to build zlib as a shared library, use: ./configure -s

# To use the asm code, type:
#    cp contrib/asm?86/match.S ./match.S
#    make LOC=-DASMV OBJA=match.o

# To install /usr/local/lib/libz.* and /usr/local/include/zlib.h, type:
#    make install
# To install in $HOME instead of /usr/local, use:
#    make install prefix=$HOME

CC=gcc

#CFLAGS=-O3 -DUSE_MMAP
#CFLAGS=-O -DMAX_WBITS=14 -DMAX_MEM_LEVEL=7
#CFLAGS=-g -DDEBUG
#CFLAGS=-O3 -Wall -Wwrite-strings -Wpointer-arith -Wconversion \
#           -Wstrict-prototypes -Wmissing-prototypes

LDFLAGS=-L. libz.a
LDSHARED=gcc
CPP=gcc -E

LIBS=libz.a
SHAREDLIB=libz.so
SHAREDLIBV=libz.so.1.2.1
SHAREDLIBM=libz.so.1

AR=ar rc
RANLIB=ranlib
TAR=tar
SHELL=/bin/sh
EXE=

prefix =/usr/local
exec_prefix =${prefix}
libdir =${exec_prefix}/lib
includedir =${prefix}/include
mandir =${prefix}/share/man
man3dir = ${mandir}/man3

OBJS = adler32.o compress.o crc32.o gzio.o uncompr.o deflate.o trees.o \
       zutil.o inflate.o infback.o inftrees.o inffast.o

OBJA =
# to use the asm code: make OBJA=match.o

TEST_OBJS = example.o minigzip.o

all: example$(EXE) minigzip$(EXE)

check: test
test: all
	@LD_LIBRARY_PATH=.:$(LD_LIBRARY_PATH) ; export LD_LIBRARY_PATH; \
	echo hello world | ./minigzip | ./minigzip -d || \
	  echo '		*** minigzip test FAILED ***' ; \
	if ./example; then \
	  echo '		*** zlib test OK ***'; \
	else \
	  echo '		*** zlib test FAILED ***'; \
	fi

libz.a: $(OBJS) $(OBJA)
	$(AR) $@ $(OBJS) $(OBJA)
	-@ ($(RANLIB) $@ || true) >/dev/null 2>&1

match.o: match.S
	$(CPP) match.S > _match.s
	$(CC) -c _match.s
	mv _match.o match.o
	rm -f _match.s

$(SHAREDLIBV): $(OBJS)
	$(LDSHARED) -o $@ $(OBJS)
	rm -f $(SHAREDLIB) $(SHAREDLIBM)
	ln -s $@ $(SHAREDLIB)
	ln -s $@ $(SHAREDLIBM)

example$(EXE): example.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ example.o $(LDFLAGS)

minigzip$(EXE): minigzip.o $(LIBS)
	$(CC) $(CFLAGS) -o $@ minigzip.o $(LDFLAGS)

install: $(LIBS)
	-@if [ ! -d $(exec_prefix) ]; then mkdir -p $(exec_prefix); fi
	-@if [ ! -d $(includedir)  ]; then mkdir -p $(includedir); fi
	-@if [ ! -d $(libdir)      ]; then mkdir -p $(libdir); fi
	-@if [ ! -d $(man3dir)     ]; then mkdir -p $(man3dir); fi
	cp zlib.h zconf.h $(includedir)
	chmod 644 $(includedir)/zlib.h $(includedir)/zconf.h
	cp $(LIBS) $(libdir)
	cd $(libdir); chmod 755 $(LIBS)
	-@(cd $(libdir); $(RANLIB) libz.a || true) >/dev/null 2>&1
	cd $(libdir); if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIB) $(SHAREDLIBM); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIB); \
	  ln -s $(SHAREDLIBV) $(SHAREDLIBM); \
	  (ldconfig || true)  >/dev/null 2>&1; \
	fi
	cp zlib.3 $(man3dir)
	chmod 644 $(man3dir)/zlib.3
# The ranlib in install is needed on NeXTSTEP which checks file times
# ldconfig is for Linux

uninstall:
	cd $(includedir); \
	cd $(libdir); rm -f libz.a; \
	if test -f $(SHAREDLIBV); then \
	  rm -f $(SHAREDLIBV) $(SHAREDLIB) $(SHAREDLIBM); \
	fi
	cd $(man3dir); rm -f zlib.3

mostlyclean: clean
clean:
	rm -f *.o *~ example$(EXE) minigzip$(EXE) \
	   libz.* foo.gz so_locations \
	   _match.s maketree contrib/infback9/*.o

maintainer-clean: distclean
distclean: clean
	cp -p Makefile.in Makefile
	cp -p zconf.in.h zconf.h
	rm -f .DS_Store

tags:
	etags *.[ch]

depend:
	makedepend -- $(CFLAGS) -- *.[ch]

# DO NOT DELETE THIS LINE -- make depend depends on it.

adler32.o: zlib.h zconf.h
compress.o: zlib.h zconf.h
crc32.o: crc32.h zlib.h zconf.h
deflate.o: deflate.h zutil.h zlib.h zconf.h
example.o: zlib.h zconf.h
gzio.o: zutil.h zlib.h zconf.h
inffast.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inflate.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
infback.o: zutil.h zlib.h zconf.h inftrees.h inflate.h inffast.h
inftrees.o: zutil.h zlib.h zconf.h inftrees.h
minigzip.o: zlib.h zconf.h
trees.o: deflate.h zutil.h zlib.h zconf.h trees.h
uncompr.o: zlib.h zconf.h
zutil.o: zutil.h zlib.h zconf.h

## sks-ecc 0.92c

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 
 CFLAGS = -DLINUX
-VER=0.92b
+VER=0.92c
 ES=0
 EN=1
-CC=gcc
-#CC=gcc-3.4
+#CC=gcc
+CC=gcc-3.4
 
 # *******************************
 # ***** START build configuration area
@@ -28,11 +28,12 @@
 LTC = ltc
 
 # ******** If you don't have 'zlib' installed
-#GZ = zlib
+GZ = zlib
 
 # specify architecture here
 ARCH=i386
 #ARCH=pentium4
+#ARCH=k8
 CFLAGS += -march=$(ARCH)
 
 # specify language ES, EN or input as command-line option i.e.: 'make SLANG=0'

## sks-ecc 0.93

=== Makefile ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 
 CFLAGS = -DLINUX
-VER=0.92c
+VER=0.93
 ES=0
 EN=1
-#CC=gcc
-CC=gcc-3.4
+CC=gcc
+#CC=gcc-3.4
 
 # *******************************
 # ***** START build configuration area
@@ -22,18 +22,18 @@
 #INST = $(HOME)/bin
 
 # ******* If you don't have 'libtommath' installed
-LTM = ltm
+LTM = tfm
 
 # ******* If you don't have 'libtomcrypt' installed
 LTC = ltc
 
 # ******** If you don't have 'zlib' installed
-GZ = zlib
+#GZ = zlib
 
 # specify architecture here
-ARCH=i386
+#ARCH=i386
 #ARCH=pentium4
-#ARCH=k8
+ARCH=k8
 CFLAGS += -march=$(ARCH)
 
 # specify language ES, EN or input as command-line option i.e.: 'make SLANG=0'
@@ -177,7 +177,7 @@
 	cp -R ./sks/Makefile ./sks-$(VER)/; \
 	cp -R ./sks/Makefile.w32 ./sks-$(VER)/; \
 	cp -R ./sks/*.txt ./sks-$(VER); cp -R ./sks/doc ./sks-$(VER)/;  \
-	rm -f ./sks/ltm/mpi.o; 	cp -R ./sks/ltm ./sks-$(VER)/;  \
+	rm -f ./sks/tfm/mpi.o; 	cp -R ./sks/tfm ./sks-$(VER)/;  \
 	rm -f ./sks/ltc/*.o; 	cp -R ./sks/ltc ./sks-$(VER)/;  \
 	rm -f ./sks/zlib/*.o ./sks/zlib/*.a; cp -R ./sks/zlib ./sks-$(VER)/;  \
 	tar -c -h sks-$(VER)/* | bzip2 -9vvc > $(SNAME).tar.bz2; \

=== debian/changelog ===
sks-ecc (0.93-6build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:43:37 +0000

sks-ecc (0.93-6) unstable; urgency=medium

  * QA upload.
  * Use override_dh_auto_install-arch and override_dh_auto_install-indep
    so that the Architecture: all autobuilder does not FTBFS.

 -- Santiago Vila <sanvila@debian.org>  Thu, 03 Sep 2015 02:20:08 +0200

sks-ecc (0.93-5) unstable; urgency=medium

  * QA upload.
  * Switch to dh.
  * Drop debian/patches/03_gcc5.patch. Put -std=gnu89 instead in
    debian/rules with the help of the next patch:
  * Add debian/patches/03_Makefile.patch to allow CFLAGS and LDFLAGS
    to be passed from debian/rules.
  * Add debian/patches/04_do_not_show_the_build_date.patch.
    This should make the build reproducible.
  * Add debian/patches/05_drop_javascript_tracking_code.patch to
    protect the privacy of people reading the documentation.
  * debian/control: Standards-Version: 3.9.6.
  * debian/control: Drop Uploaders field as this package is orphaned.
  * debian/compat: Raise to "9".

 -- Santiago Vila <sanvila@debian.org>  Thu, 03 Sep 2015 01:19:40 +0200

sks-ecc (0.93-4) unstable; urgency=medium

  * QA upload.
  * Fix "ftbfs with GCC-5": add patch from Brett Johnson:
    build with "-std=gnu89".
    (Closes: #778121)

 -- gregor herrmann <gregoa@debian.org>  Sun, 19 Jul 2015 15:38:08 +0200

sks-ecc (0.93-3) unstable; urgency=low

  * Orphaned. Set maintainer to Debian QA Group.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sun, 29 Dec 2013 19:57:05 +0000

sks-ecc (0.93-2) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format.
  * debian/control
    - Fix homepage (closes: #637780)
    - Bump debhelper compatibility level to 8.
    - Set Standards-Version to 3.9.2 (no changes)
    - Add partial support for DEB_BUILD_OPTIONS.
    - Drop quilt build-dep.
  * debian/copyright
    - Bump copyright dates.
    - Add packaging license.

 -- Nacho Barrientos Arias <nacho@debian.org>  Mon, 15 Aug 2011 15:32:20 +0000

sks-ecc (0.93-1) unstable; urgency=low

  * New upstream release.
  * debian/control
   + www-browser is now a suggest instead of a recommend.
   + Homepage field added.

 -- Nacho Barrientos Arias <nacho@debian.org>  Sat, 24 Nov 2007 16:34:12 +0100

sks-ecc (0.92c-1) unstable; urgency=low

  * New upstream release.
   + Minor fix for 64-bit architectures.
  * debian/rules
   + Switching to quilt for patch management.
   + Removing useless debhelper calls.
  * debian/control
   + Build-depending on quilt accordingly to debian/rules change.
   + Now building using default GCC version (gcc-3.4 build-dep dropped).
   + Sks-ecc-doc enhances sks-ecc instead of recommend it.
   + Sks-ecc-doc now recommends www-browser virtual package.
   + New maintainer email address.
  * debian/README.Debian
   + Minor changes.
  * debian/patches
   + Reorganized. All changes from orig file are now handled using quilt.

 -- Nacho Barrientos Arias <nacho@debian.org>  Tue, 29 May 2007 19:53:20 +0200

sks-ecc (0.92b-1) unstable; urgency=low

  * Initial release (Closes: #362793) 

 -- Nacho Barrientos Arias <chipi@criptonita.com>  Sun,  7 May 2006 16:15:18 +0200

=== debian/control ===
Source: sks-ecc
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9), zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://sks.anarres.tk/

Package: sks-ecc
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: sks-ecc-doc
Description: Cryptographic tool based on ECC
 SKS is a public-key, command-line application for encryption/authentication,
 based on Elliptic Curve Cryptography (ECC). His minimalist design points to
 a simple, light, fast, easy-to-use and multiplatform software. All these 
 features are satisfied with this high quality cryptography kit that has 
 the following elements:
 .
  * Public key module: elliptic curve over GF (2^191).
  * Symmetric-key module: AES 192-bits key, with CTR mode.
  * Hash (for signatures, HMAC and passwords): TIGER (192 bits).
  * PRNG module.

Package: sks-ecc-doc
Section: doc
Enhances: sks-ecc
Suggests: www-browser
Architecture: all
Depends: ${misc:Depends}
Description: Documentation for sks-ecc, a cryptographic tool based on ECC
 SKS is a public-key, command-line application for encryption/authentication,
 based on Elliptic Curve Cryptography (ECC). 
 .
 This package provides original README file and the user guide shipped in 
 upstream's tarball (written in Spanish).

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=-format

CFLAGS := `dpkg-buildflags --get CFLAGS` -Wall -std=gnu89
LDFLAGS := `dpkg-buildflags --get LDFLAGS`
CPPFLAGS := `dpkg-buildflags --get CPPFLAGS`

%:
	dh $@

override_dh_auto_build:
	$(MAKE) MYCFLAGS="$(CFLAGS) $(CPPFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_install-arch:
	install -m 644 sks.1 debian/sks-ecc/usr/share/man/man1/sks-ecc.1
	$(MAKE) install DESTDIR=$(CURDIR)/debian/sks-ecc

override_dh_auto_install-indep:
